@font-face {
    font-family: 'KGMissKindergarten';
    src: url('../tools/assets/fonts/KGMissKindergarten.ttf') format('truetype');
}

body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

header {
    background: #0073e6;
    color: white;
    padding: 10px 20px;
    text-align: center;
}

h1 {
    margin: 0;
}

.accordion {
    margin: 20px;
}

.accordion-item {
    background: #f1f1f1;
    border-bottom: 1px solid #ccc;
}

.accordion-button {
    background: #f9f9f9;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    transition: background-color 0.2s ease-in-out;
    font-size: 16px;
}

.accordion-button.active, .accordion-button:hover {
    background-color: #ccc;
}

.accordion-content {
    background: white;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    max-height: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.tool-link {
    flex-basis: calc(25% - 20px); 
    box-sizing: border-box;
    margin: 10px;
}

.accordion-content .tool-link {
    display: block;
    text-align: center;
    padding: 5px;
    text-decoration: none;
    color: black;
}

.tool-icon {
    display: flex;
    font-family: 'KGMissKindergarten', "Comic Sans", sans-serif;
    align-items: center;
    justify-content: center;
    width: 125px;
    height: 125px;
    background: #afd3ff;
    margin: 10px;
    line-height: 28px; 
    border-radius: 8px;
    box-sizing: border-box;
    padding: 5px;
    font-size: 20px;
    text-align: center;
    flex-wrap: wrap;
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

.tool-icon:hover {
    transform: scale(1.1); /* Grow the button by 10% */
    box-shadow: 0 5px 15px rgba(0, 123, 255, 0.5); /* Blue colored shadow for 'pop out' effect */
}


/* Accordion open animation */
.accordion-content.active {
    max-height: 200px; /* Adjust this value based on content size */
}

@media (max-width: 768px) {
    .tool-link {
        flex-basis: calc(50% - 20px); /* Two items per row */
    }
}

@media (max-width: 480px) {
    .tool-link {
        flex-basis: calc(100% - 20px); /* One item per row */
    }
}
